package database

import "github.com/oklog/ulid/v2"

type PostVisibility string

const (
	PublicVisibility    PostVisibility = "public"
	UnlistedVisibility  PostVisibility = "unlisted"
	FollowersVisibility PostVisibility = "followers"
	DirectVisibility    PostVisibility = "direct"
)

// Post is a single post.
type Post struct {
	ID         ulid.ULID
	BlogID     ulid.ULID
	Content    *string
	Source     *string
	Visibility PostVisibility
}
